; pick the leaves off a tree defined as lists of lists

(define (fringe m)
  (cond 
    ((null? m) m)
    ((not (pair? m)) (list m) )
    (else (append (fringe (car m)) (fringe (cdr m))))))

(define a (list 1 2))
(define b (list (list 1 2) (list 3 4)))
(define c (list 2 (list 4 6)))

(fringe a)
(fringe b)
(fringe (list a b))
(fringe c)
