; x is a tree node.  It is defined by a
; list that contains the node at this entry,
; plus all the the sibling tree nodes to the
; right of this node.
; The value at this node is (car x).
; The list of siblings to the right is (cdr x).

(define (depth x)
  (cond ((null? x) 0)
        ((not (pair? x)) 0)
        (else (max (+ 1 (depth (car x)))
                   (depth (cdr x))))))

(define a (list 1 2))
(define b (list 2 (list 4 6)))

(depth a)
(depth b)